<script setup lang="ts">
import type { GlobalThemeOverrides } from 'naive-ui'
const themeOverrides: GlobalThemeOverrides = {
  common: {
    primaryColor: '#0072CE',
    primaryColorHover: '#66aae2',
    primaryColorPressed: '#00447c',
  },
}
</script>

<template>
  <n-config-provider :theme-overrides="themeOverrides">
    <n-message-provider>
      <div class="grid h-screen font-sans text-arctic grid-row">
        <TopRibbon />
        <main class="grid grid-col">
          <SideBar />
          <Editor />
        </main>
        <StatusBar />
      </div>
    </n-message-provider>
  </n-config-provider>
</template>

<style>
.grid-row {
  grid-template-rows: 48px auto 32px;
}
.grid-col {
  grid-template-columns: 424px auto;
}
.monaco-editor .squiggly-error {
  border-bottom: 1px solid #ff585d !important;
}
.monaco-editor .squiggly-warning {
  border-bottom: 1px dotted #FFA400 !important;
}

.row-error td {
  @apply !bg-error !bg-opacity-10;
}

.row-warning td {
  @apply !bg-warning !bg-opacity-10;
}

.row-info td {
  @apply !bg-pacific !bg-opacity-10;
}
</style>
